package com.qmth.themis.backend.start;

import com.qmth.themis.backend.config.DictionaryConfig;
import com.qmth.themis.backend.quartz.MqJob;
import com.qmth.themis.business.service.QuartzService;
import org.assertj.core.util.Maps;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    QuartzService quartzService;

    @Resource
    DictionaryConfig dictionaryConfig;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        log.info("增加mqjob start");
        Map map = Maps.newHashMap("name", MqJob.class.getName());
        quartzService.deleteJob(dictionaryConfig.quartzConfigDomain().getJobName(), dictionaryConfig.quartzConfigDomain().getJobGroupName());
        quartzService.addJob(MqJob.class, dictionaryConfig.quartzConfigDomain().getJobName(), dictionaryConfig.quartzConfigDomain().getJobGroupName(), "0 0/1 * * * ?", map);
        log.info("增加mqjob end");
        log.info("服务器启动时执行 end");
    }
}
