package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试批次
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam", description = "考试批次")
public class TEExam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "机构ID")
    @TableId(value = "org_id")
    private Long orgId;

    @ApiModelProperty(value = "批次编码，机构唯一")
    @TableId(value = "code")
    private String code;

    @ApiModelProperty(value = "批次名称")
    @TableId(value = "name")
    private String name;

    @ApiModelProperty(value = "批次标注，可用于多个考试批次归类")
    @TableId(value = "name")
    private String tag;

    @ApiModelProperty(value = "批次开始时间")
    @TableId(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "批次结束时间")
    @TableId(value = "end_time")
    private Date endTime;

    @ApiModelProperty(value = "状态")
    @TableId(value = "status")
    private Integer status;

    @ApiModelProperty(value = "考试口令")
    @TableId(value = "short_code")
    private String shortCode;

    @ApiModelProperty(value = "提前多长时间开始候考(秒)")
    @TableId(value = "prepare_seconds")
    private Integer prepareSeconds;

    @ApiModelProperty(value = "最短考试时长，相当于考试冻结时间(秒)")
    @TableId(value = "min_duration_seconds")
    private Integer minDurationSeconds;

    @ApiModelProperty(value = "考前须知")
    @TableId(value = "pre_notice")
    private String preNotice;

    @ApiModelProperty(value = "考试须知阅读时长(秒)")
    @TableId(value = "pre_notice_stay_seconds")
    private Integer preNoticeStaySeconds;

    @ApiModelProperty(value = "考后说明，针对一个场次进行设置")
    @TableId(value = "post_notice")
    private String postNotice;

    @ApiModelProperty(value = "允许考试次数")
    @TableId(value = "exam_count")
    private Integer examCount;

    @ApiModelProperty(value = "断点失效时间(秒)")
    @TableId(value = "break_expire_seconds")
    private Integer breakExpireSeconds;

    @ApiModelProperty(value = "断点续考次数")
    @TableId(value = "break_resume_count")
    private Integer breakResumeCount;

    @ApiModelProperty(value = "活体动作个数")
    @TableId(value = "liveness_action_count")
    private Integer livenessActionCount;

    @ApiModelProperty(value = "活体单个动作重试次数")
    @TableId(value = "liveness_action_retry_count")
    private Integer livenessActionRetryCount;

    @ApiModelProperty(value = "是否开启/强制开考人脸识别")
    @TableId(value = "entry_face_verify")
    private Integer entryFaceVerify;

    @ApiModelProperty(value = "是否开启/强制开考活体检测")
    @TableId(value = "entry_liveness_verify")
    private Integer entryLivenessVerify;

    @ApiModelProperty(value = "考试过程中人脸检测是否开启")
    @TableId(value = "constant_face_verify")
    private Integer constantFaceVerify;

    @ApiModelProperty(value = "考试过程中随机活体验证次数")
    @TableId(value = "constant_liveness_verify_count")
    private Integer constantLivenessVerifyCount;

    @ApiModelProperty(value = "考试过程中随机活体重试次数")
    @TableId(value = "constant_liveness_retry_count")
    private Integer constantLivenessRetryCount;

    @ApiModelProperty(value = "是否开启/强制客户端视频监控")
    @TableId(value = "client_video_push")
    private Integer clientVideoPush;

    @ApiModelProperty(value = "是否开启客户端视频转录")
    @TableId(value = "client_video_record")
    private Integer clientVideoRecord;

    @ApiModelProperty(value = "是否开启/强制微信小程序监控")
    @TableId(value = "wxapp_video_push")
    private Integer wxappVideoPush;

    @ApiModelProperty(value = "是否开启微信小程序视频转录")
    @TableId(value = "wxapp_video_record")
    private Integer wxappVideoRecord;

    @ApiModelProperty(value = "是否允许使用摄像头拍照答题")
    @TableId(value = "camera_photo_upload")
    private Integer cameraPhotoUpload;

    @ApiModelProperty(value = "是否允许使用微信拍照答题")
    @TableId(value = "wxapp_photo_upload")
    private Integer wxappPhotoUpload;

    @ApiModelProperty(value = "重考是否审批")
    @TableId(value = "reexam_auditing")
    private Integer reexamAuditing;

    @ApiModelProperty(value = "多次考试记录的选择逻辑：全部阅卷后取最高分；客观分最高；最后一次提交")
    @TableId(value = "select_strategy")
    private Integer selectStrategy;

    @ApiModelProperty(value = "IP段限制")
    @TableId(value = "ip_limit")
    private String ipLimit;

    @ApiModelProperty(value = "交卷后是否显示客观得分")
    @TableId(value = "show_objective_score")
    private Integer showObjectiveScore;

    @ApiModelProperty(value = "创建时间")
    @TableId(value = "create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableId(value = "update_time")
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getShortCode() {
        return shortCode;
    }

    public void setShortCode(String shortCode) {
        this.shortCode = shortCode;
    }

    public Integer getPrepareSeconds() {
        return prepareSeconds;
    }

    public void setPrepareSeconds(Integer prepareSeconds) {
        this.prepareSeconds = prepareSeconds;
    }

    public Integer getMinDurationSeconds() {
        return minDurationSeconds;
    }

    public void setMinDurationSeconds(Integer minDurationSeconds) {
        this.minDurationSeconds = minDurationSeconds;
    }

    public String getPreNotice() {
        return preNotice;
    }

    public void setPreNotice(String preNotice) {
        this.preNotice = preNotice;
    }

    public Integer getPreNoticeStaySeconds() {
        return preNoticeStaySeconds;
    }

    public void setPreNoticeStaySeconds(Integer preNoticeStaySeconds) {
        this.preNoticeStaySeconds = preNoticeStaySeconds;
    }

    public String getPostNotice() {
        return postNotice;
    }

    public void setPostNotice(String postNotice) {
        this.postNotice = postNotice;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getBreakExpireSeconds() {
        return breakExpireSeconds;
    }

    public void setBreakExpireSeconds(Integer breakExpireSeconds) {
        this.breakExpireSeconds = breakExpireSeconds;
    }

    public Integer getBreakResumeCount() {
        return breakResumeCount;
    }

    public void setBreakResumeCount(Integer breakResumeCount) {
        this.breakResumeCount = breakResumeCount;
    }

    public Integer getLivenessActionCount() {
        return livenessActionCount;
    }

    public void setLivenessActionCount(Integer livenessActionCount) {
        this.livenessActionCount = livenessActionCount;
    }

    public Integer getLivenessActionRetryCount() {
        return livenessActionRetryCount;
    }

    public void setLivenessActionRetryCount(Integer livenessActionRetryCount) {
        this.livenessActionRetryCount = livenessActionRetryCount;
    }

    public Integer getEntryFaceVerify() {
        return entryFaceVerify;
    }

    public void setEntryFaceVerify(Integer entryFaceVerify) {
        this.entryFaceVerify = entryFaceVerify;
    }

    public Integer getEntryLivenessVerify() {
        return entryLivenessVerify;
    }

    public void setEntryLivenessVerify(Integer entryLivenessVerify) {
        this.entryLivenessVerify = entryLivenessVerify;
    }

    public Integer getConstantFaceVerify() {
        return constantFaceVerify;
    }

    public void setConstantFaceVerify(Integer constantFaceVerify) {
        this.constantFaceVerify = constantFaceVerify;
    }

    public Integer getConstantLivenessVerifyCount() {
        return constantLivenessVerifyCount;
    }

    public void setConstantLivenessVerifyCount(Integer constantLivenessVerifyCount) {
        this.constantLivenessVerifyCount = constantLivenessVerifyCount;
    }

    public Integer getConstantLivenessRetryCount() {
        return constantLivenessRetryCount;
    }

    public void setConstantLivenessRetryCount(Integer constantLivenessRetryCount) {
        this.constantLivenessRetryCount = constantLivenessRetryCount;
    }

    public Integer getClientVideoPush() {
        return clientVideoPush;
    }

    public void setClientVideoPush(Integer clientVideoPush) {
        this.clientVideoPush = clientVideoPush;
    }

    public Integer getClientVideoRecord() {
        return clientVideoRecord;
    }

    public void setClientVideoRecord(Integer clientVideoRecord) {
        this.clientVideoRecord = clientVideoRecord;
    }

    public Integer getWxappVideoPush() {
        return wxappVideoPush;
    }

    public void setWxappVideoPush(Integer wxappVideoPush) {
        this.wxappVideoPush = wxappVideoPush;
    }

    public Integer getWxappVideoRecord() {
        return wxappVideoRecord;
    }

    public void setWxappVideoRecord(Integer wxappVideoRecord) {
        this.wxappVideoRecord = wxappVideoRecord;
    }

    public Integer getCameraPhotoUpload() {
        return cameraPhotoUpload;
    }

    public void setCameraPhotoUpload(Integer cameraPhotoUpload) {
        this.cameraPhotoUpload = cameraPhotoUpload;
    }

    public Integer getWxappPhotoUpload() {
        return wxappPhotoUpload;
    }

    public void setWxappPhotoUpload(Integer wxappPhotoUpload) {
        this.wxappPhotoUpload = wxappPhotoUpload;
    }

    public Integer getReexamAuditing() {
        return reexamAuditing;
    }

    public void setReexamAuditing(Integer reexamAuditing) {
        this.reexamAuditing = reexamAuditing;
    }

    public Integer getSelectStrategy() {
        return selectStrategy;
    }

    public void setSelectStrategy(Integer selectStrategy) {
        this.selectStrategy = selectStrategy;
    }

    public String getIpLimit() {
        return ipLimit;
    }

    public void setIpLimit(String ipLimit) {
        this.ipLimit = ipLimit;
    }

    public Integer getShowObjectiveScore() {
        return showObjectiveScore;
    }

    public void setShowObjectiveScore(Integer showObjectiveScore) {
        this.showObjectiveScore = showObjectiveScore;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}