package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试试卷
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam_paper", description = "考试试卷")
public class TEExamPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "试卷名称")
    @TableId(value = "name")
    private String name;

    @ApiModelProperty(value = "试卷总分")
    @TableId(value = "total_score")
    private Double totalScore;

    @ApiModelProperty(value = "题干路径")
    @TableId(value = "paper_path")
    private String paperPath;

    @ApiModelProperty(value = "标答路径")
    @TableId(value = "standard_answer_path")
    private String standardAnswerPath;

    @ApiModelProperty(value = "解密密钥")
    @TableId(value = "decrypt_secret")
    private String decryptSecret;

    @ApiModelProperty(value = "自动、手动、不加密")
    @TableId(value = "encrypt_mode")
    private Integer encryptMode;

    @ApiModelProperty(value = "题干包含音视频")
    @TableId(value = "has_video")
    private Integer hasVideo;

    @ApiModelProperty(value = "是否需要语音作答")
    @TableId(value = "need_voice_answer")
    private Integer needVoiceAnswer;

    @ApiModelProperty(value = "创建时间")
    @TableId(value = "create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableId(value = "update_time")
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getPaperPath() {
        return paperPath;
    }

    public void setPaperPath(String paperPath) {
        this.paperPath = paperPath;
    }

    public String getStandardAnswerPath() {
        return standardAnswerPath;
    }

    public void setStandardAnswerPath(String standardAnswerPath) {
        this.standardAnswerPath = standardAnswerPath;
    }

    public String getDecryptSecret() {
        return decryptSecret;
    }

    public void setDecryptSecret(String decryptSecret) {
        this.decryptSecret = decryptSecret;
    }

    public Integer getEncryptMode() {
        return encryptMode;
    }

    public void setEncryptMode(Integer encryptMode) {
        this.encryptMode = encryptMode;
    }

    public Integer getHasVideo() {
        return hasVideo;
    }

    public void setHasVideo(Integer hasVideo) {
        this.hasVideo = hasVideo;
    }

    public Integer getNeedVoiceAnswer() {
        return needVoiceAnswer;
    }

    public void setNeedVoiceAnswer(Integer needVoiceAnswer) {
        this.needVoiceAnswer = needVoiceAnswer;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
