package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考生库
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam_student", description = "考生库")
public class TEExamStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "批次id")
    @TableId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "场次id")
    @TableId(value = "exam_activity_id")
    private Long examActivityId;

    @ApiModelProperty(value = "学生id")
    @TableId(value = "student_id")
    private Long studentId;

    @ApiModelProperty(value = "科目代码")
    @TableId(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "虚拟考场代码，考试唯一")
    @TableId(value = "room_code")
    private String roomCode;

    @ApiModelProperty(value = "证件号，机构内唯一")
    @TableId(value = "identity")
    private String identity;

    @ApiModelProperty(value = "姓名")
    @TableId(value = "name")
    private String name;

    @ApiModelProperty(value = "扩展字段")
    @TableId(value = "parameter")
    private String parameter;

    @ApiModelProperty(value = "剩余考试次数")
    @TableId(value = "left_exam_count")
    private Integer leftExamCount;

    @ApiModelProperty(value = "当前考试记录ID")
    @TableId(value = "current_record_id")
    private Long currentRecordId;

    @ApiModelProperty(value = "最终生效的记录ID")
    @TableId(value = "select_record_id")
    private Long selectRecordId;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public Integer getLeftExamCount() {
        return leftExamCount;
    }

    public void setLeftExamCount(Integer leftExamCount) {
        this.leftExamCount = leftExamCount;
    }

    public Long getCurrentRecordId() {
        return currentRecordId;
    }

    public void setCurrentRecordId(Long currentRecordId) {
        this.currentRecordId = currentRecordId;
    }

    public Long getSelectRecordId() {
        return selectRecordId;
    }

    public void setSelectRecordId(Long selectRecordId) {
        this.selectRecordId = selectRecordId;
    }
}
